:root {

    --highlight-color: #BD3E85;
    --dark-color: #182657;
    --tile-color: #182657;
    --dark-text: #121F40;
    --dark-text-lighter: #18264A;
    --tile-color-lighter: #213478;
    --dark-color-2: #121F40;
    --accent-color-1: #D59B2D;
    --accent-color-2: #8D541E;
    --background-light: #ffebc6;
    --button-secondary-background: #ffeccc;
    --button-secondary-background-hover: #fff6e6;
    --drop-shadow: rgb(0 0 0 / 40%);
    --brighten: rgb(255 255 255 / 20%);
    --line-color: var(--accent-color-2);

    --light-text: #f1eeea;
    --light-text-lighter: #fcf5e9;
    --light-text-darker: #ffebc6;
    --link-text: #182657;
    --link-text-hover: #2134CC;

    --highlight-item: brightness(120%);
    --highlight-filter: brightness(120%);

    --font-size: min(max(1rem, 4vw), 22px);
    --font-size-sm: min(max(0.5rem, 2vw), 11px);
}

html {
    font-size: min(max(1rem, 2vw), 18px);
}

#main-content-anchor {
    padding-bottom: 100px;
    padding-top: 20px;
}

.table-value {
    padding-left: 0.5rem;
    padding-right: 0.5rem;
}

.hyperlink {
    color: var(--link-text);
    text-decoration: underline;
}

.hyperlink:hover {
    /*    box-shadow: inset 0 0 100px 100px rgba(255, 255, 255, 0.1);*/

    text-shadow: 1px 1px 1px rgb(0 0 0 / 10%);
    color: var(--link-text-hover);
    cursor: pointer;
}

.btn {
    margin: 2px;
}

.loader {
    height: 100%;
    width: 100%;
    background: url(ajaxloader.gif) no-repeat center center;
    position: fixed;
    z-index: 999;
}

.form-control {
    border: 1px solid var(--line-color);
}

.form-control:focus {
    border-color: var(--darkcolor);
    box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.075) inset, 0px 0px 8px var(--drop-shadow);
}

.form-label {
    margin-top: 0.5rem;
    margin-bottom: 0;
    color: olive;
}

.h6 {
    margin-top: 0.5rem;
    margin-bottom: 0;
    color: olive;
}

/*
p {
    display: block;
    margin-block-start: -0.2em;
    margin-block-end: 0px;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
}
*/
.upload-demo .upload-demo-wrap,
.upload-demo .upload-result,
.upload-demo.ready .upload-msg {
    display: none;
}

.upload-demo.ready .upload-demo-wrap {
    display: block;
}

.upload-demo.ready .upload-result {
    display: inline-block;
}

.upload-demo-wrap {
    width: 320px;
    height: 240px;
    margin: 0 auto;
}

.picture-wrap {
    width: 400px;
    height: 300px;
    margin: 0 auto;
}

.upload-msg {
    text-align: center;
    padding: 50px;
    font-size: 22px;
    color: #aaa;
    width: 320px;
    height: 240px;
    margin: auto;
    border: 1px solid #aaa;
}


/*
@media handheld, only screen and (max-width: 767px) {

    .croppie-container {
        padding: 30px 0;
    }
}
*/


.table-sortable>thead>tr>th {
    cursor: pointer;
    position: relative;
}

.table-sortable>thead>tr>th:after,
.table-sortable>thead>tr>th:after,
.table-sortable>thead>tr>th:after {
    content: ' ';
    position: relative;
    height: 0;
    width: 0;
    left: 10px;
    top: 16px;
}


.sortable:after {
    display: inline-block;
    content: '';
    position: relative;
    height: 5px;
    width: 10px;
    left: 5px;
    top: 0px;
    background: #888;
    clip-path: polygon(0% 0%, 50% 100%, 100% 0%);
}


.sortable:hover:after {
    background: #BBB;
}

.sortable.asc:after {
    background: #111;
}

.sortable.desc:after {
    background: #111;
    clip-path: polygon(0% 100%, 50% 0%, 100% 100%);
}



.table-sortable>thead>tr>th:after {
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid #ccc;
    border-bottom: 0px solid transparent;
}

.table-sortable>thead>tr>th:hover:after {
    border-top: 5px solid #888;
}

.table-sortable>thead>tr>th.asc:after {
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 0px solid transparent;
    border-bottom: 5px solid #333;
}

.table-sortable>thead>tr>th.asc:hover:after {
    border-bottom: 5px solid #888;
}

.table-sortable>thead>tr>th.desc:after {
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid #333;
    border-bottom: 5px solid transparent;
}

.ms-n5 {
    margin-left: -40px;
}


/* want to experiment with some of the colors and other aspects of design
Looking at colors from here:
https://visme.co/blog/website-color-schemes/


#BD3E85
#182657
#121F40
#D59B2D
#8D541E

*/

body {
    background-color: var(--background-light);
}

.navbar-fixed-bottom {
    border-top: 2px solid #BD3E85;
    background: #182657;
}

.navbar-fixed-top {
    border-bottom: 2px solid #BD3E85;
    background: #182657;
}

.dropdown-menu {
    background: var(--button-secondary-background);
}

.dropdown-item {
    color: var(--dark-text);
}

.dropdown-item:hover {
    background: var(--button-secondary-background-hover);
    color: var(--dark-text-lighter);
}


.nav-link,
.navbar-brand {
    background: var(--dark-color);
    color: var(--light-text);
}

.nav-link.active {
    color: #ffffff;
    text-decoration: underline;
}

.nav-link:hover,
.navbar-brand:hover {
    color: var(--light-text);
    filter: brightness(125%);
    cursor: pointer;
}

.h3 {
    color: var(--dark-text);
    text-shadow: 0px 0px 4px #ffffff;
}

.h1 {
    color: var(--dark-text);
    text-shadow: 0px 0px 4px #ffffff;
    /*
    align-items: center;
    justify-content: center;
    text-align: center;
    display: flex;
    */
}

.image-full {
    border-radius: 0.5rem 0.5rem 0.5rem 0.5rem;
    width: 100%;
}

.tile-location-thumbnail {
    padding: 0 0 0.5rem 0;
    border-radius: 0.5rem 0.5rem 0 0;
    width: 100%;
}

.tile-vertical-thumbnail {
    padding: 0 0 0.5rem 0;
    border-radius: 0.5rem 0.5rem 0 0;
}

.tile-horizontal-thumbnail {
    /*    padding: 0.25rem;*/
    border-radius: 0.5rem 0 0 0.5rem;
    padding: 0 0.5rem 0 0;
}

.tile {
    background: var(--tile-color);
    background-image: linear-gradient(rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0));
    /*    border: 1px solid var(--dark-color-2);*/
    color: var(--light-text);
    cursor: pointer;
    border-radius: 0.5rem;
    box-shadow: 0.1rem 0.3rem 0.3rem 0 var(--drop-shadow);
    position: relative;
    transition: all 0.2s;
    top: 0;
    left: 0;
}

.current {
    border-radius: 0.5rem;
    background: var(--accent-color-1);
    color: var(--light-text);
    box-shadow: 0.1rem 0.3rem 0.3rem 0 var(--drop-shadow);
}

.tile:hover {
    /*    background: var(--tile-color-lighter);*/
    filter: var(--highlight-item);
    /*
    background-image: linear-gradient(rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0));
    */
    /*    border: 1px solid var(--dark-color-2);*/
    cursor: pointer;
    /*    color: var(--light-text-lighter);*/
    box-shadow: 0.1rem 0.4rem 0.3rem 0 var(--drop-shadow);
    top: -0.1rem;
    left: -0.0rem;
}

.list-heading {
    color: var(--accent-color-2);
}

.list-container {
    /*
    background: linear-gradient(90deg, var(--dark-color) 0%, var(--background-light) 20%, var(--background-light) 80%, var(--dark-color) 100%);
    */
    /* border: solid 1px var(--accent-color-1);*/
}

.tile-plant-number {
    color: var(--light-text);
    outline: 1px solid;
    outline-color: var(--highlight-color);
    border-radius: .2rem;
    font-size: 1rem;
}

.tile-text-1,
.tile-text-2,
.tile-text-3,
.tile-text-4 {
    color: var(--light-text);
}

.tile-text-1 {
    font-size: var(--font-size);
}

.tile-text-2 {
    font-size: var(--font-size);
}

.tile-text-3 {
    font-size: var(--font-size-sm);
}

.one-line {
    /*    overflow: hidden;*/
    white-space: nowrap;
    text-overflow: ellipsis;

}

.number-test {
    float: right;
    /*
    position: relative;
    top: 4px;
    right: 8px;
    */
}

/*
.number-test:before {
    content: '';
    display: block;
    float: right;
    height: 200px;

}
*/
.tile-text-3 {
    font-size: var(--font-size);
}

.tile-text-4 {
    font-size: var(--font-size);
}

.btn-outline-secondary {

    border-color: var(--dark-color);
    color: var(--dark-color);
    background-color: var(--button-secondary-background);


}

.bc-btn-close {
    color: var(--dark-color);
}

.bc-btn-close:hover {
    text-shadow: 1px 1px 1px rgb(0 0 0 / 10%);
    color: var(--link-text-hover);
    cursor: pointer;
}

.btn-outline-secondary:hover {
    /*
    background-color: var(--button-secondary-background-hover);
    border-color: var(--dark-color-2);
    color: var(--dark-color-2);
    */
    filter: var(--highlight-filter);
}

.bc-btn-regular {
    border-color: var(--dark-color);
    color: var(--dark-color);
    background-color: var(--button-secondary-background);
    border: 1px solid;
    border-radius: 0.25rem;
    text-align: center;
    vertical-align: middle;
    padding: 0.375rem 0.75rem;
    box-shadow: 0.1rem 0.2rem 0.1rem 0 var(--drop-shadow);

    background-image: linear-gradient(175deg, rgb(255 255 255 / 50%) 0%, rgb(255 255 255 / 20%) 25%, rgb(255 255 255 / 0) 50%, rgb(0 0 0 / 10%) 100%);
    /*    border: 1px solid var(--dark-color-2);*/


}

.bc-btn-regular:hover {
    filter: var(--highlight-filter);

}

.bc-btn-regular:active {
    top: 0.2rem;
    left: 0.1rem;
    color: var(--highlight-color);

}

.dropdown-menu {
    box-shadow: 0.1rem 0.2rem 0.2rem 0 var(--drop-shadow);

}

.navbar-toggler {
    border-color: var(--light-text);
    color: var(--light-text);
}

.navbar-toggler:hover {
    background-color: var(--accent-color-1);
}


@media (max-width: 767px) {

    .navbar-fixed-top {
        display: none;
    }



}

@media (min-width:768px) {
    .navbar-fixed-bottom {
        display: none;
    }

}

.filter {
    border: 1px solid var(--dark-color);
}

.input-group-text {
    border: 1px solid var(--dark-color);
    background-color: var(--button-secondary-background);
    color: var(--dark-text);
}

.status-bar {
    /*    overflow: hidden;*/
    transition: all 0.5s ease-in-out;
    line-height: 1.5;
    padding-top: 1em;
    padding-bottom: 1em;
    background-color: var(--accent-color-1);
    color: var(--dark-text);
    text-align: center;
}

.status-bar-hidden {
    line-height: 0;
    padding: 0 1em;
    color: transparent;
    transition: all 1s ease-in-out;
}


table {
    border-collapse: separate;
    border: var(--highlight-color);
    border-spacing: 0 1px;
    width: 100%;
}

tr {
    margin-bottom: 0.5rem;
}

::backdrop {
    /*
    filter: brightness(5%);
    */
    /*
    background-image: linear-gradient(45deg,
            magenta,
            rebeccapurple,
            dodgerblue,
            green);
    opacity: 0.75;
    */
    background-color: rgba(0, 0, 0, .5);

}

dialog {
    border-radius: 0.5rem 0.5rem 0.5rem 0.5rem;
    border: 1px solid var(--highlight-color);
    background-color: var(--background-light);
    color: var(--dark-text);

}

#customConfirmOverlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    /* Semi-transparent black overlay */
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
}

#customConfirmOverlay.hidden {
    display: none;
}

#customConfirmDialog {
    background-color: white;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    text-align: center;
}

.confirm-buttons button {
    margin: 10px;
    padding: 8px 15px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

#confirmYes {
    background-color: #4CAF50;
    color: white;
}

#confirmNo {
    background-color: #f44336;
    color: white;
}